exchEVTest {copula} | R Documentation

## Test of Exchangeability for Certain Bivariate Copulas

### Description

Test for assessing the exchangeability of the underlying bivariate copula when it is either extreme-value or left-tail decreasing. The test uses the nonparametric estimators of the Pickands dependence function studied by Genest and Segers (2009).

The test statistic is defined in the second reference. An approximate p-value for the test statistic is obtained by means of a multiplier technique.

### Usage

    exchEVTest(x, N = 1000,  estimator = c("CFG", "Pickands"),
               derivatives = c("Cn", "An"), m = 100)

### Arguments

`x` | a data matrix that will be transformed to pseudo-observations.
`N` | number of multiplier iterations to be used to simulate realizations of the test statistic under the null hypothesis.
`estimator` | string specifying which nonparametric estimator of the Pickands dependence function A() to use; can be either `"CFG"` or `"Pickands"`; see Genest and Segers (2009).
`derivatives` | a string specifying how the derivatives of the unknown copula are estimated; can be either `"An"` or `"Cn"`. The former should be used under the assumption of extreme-value dependence. The latter is faster; see the second reference.
`m` | integer specifying the size of the integration grid for the statistic.

### Details

More details are available in the first two references.

### Value

Returns a list whose attributes are:

`statistic` | value of the test statistic.
`pvalue` | corresponding approximate p-value.

### Note

This test was derived under the assumption of continuous margins, which implies that ties occur with probability zero. The presence of ties in the data might substantially affect the approximate p-value. One way of dealing with ties was suggested in the last reference.

### References

Genest, C. and Segers, J. (2009) Rank-based inference for bivariate extreme-value copulas. Annals of Statistics 37, 2990–3022.

Kojadinovic, I. and Yan, J. (2012) A nonparametric test of exchangeability for extreme-value and left-tail decreasing bivariate copulas. The Scandinavian Journal of Statistics. In press.

Kojadinovic, I. and Yan, J. (2010). Modeling Multivariate Distributions with Continuous Margins Using the copula R Package. Journal of Statistical Software 34(9), 1–20. http://www.jstatsoft.org/v34/i09/.

### See Also

`exchTest`, `gofCopula`.

### Examples

    ## Data from an exchangeable left-tail decreasing copulas
    exchEVTest(rCopula(200,  gumbelCopula(3)))
    exchEVTest(rCopula(200, claytonCopula(3)))

    ## An asymmetric Khoudraji-Gumbel-Hougaard copula
    kc <- khoudrajiCopula(copula1 = indepCopula(),
                          copula2 = gumbelCopula(4),
                          shapes = c(0.4, 0.95))
    exchEVTest(rCopula(200, kc))

[Package copula version 0.999-15 Index]